Index: trunk/xpressme_integration_kit/wp-content/plugins/xpressme/language/xpressme-ja.po
===================================================================
--- trunk/xpressme_integration_kit/wp-content/plugins/xpressme/language/xpressme-ja.po	(revision 630)
+++ trunk/xpressme_integration_kit/wp-content/plugins/xpressme/language/xpressme-ja.po	(revision 639)
@@ -8,6 +8,6 @@
 "Project-Id-Version: XPressME Plugin\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-08-17 13:01+0900\n"
-"PO-Revision-Date: 2010-08-17 13:02+0900\n"
+"POT-Creation-Date: 2010-08-23 09:53+0900\n"
+"PO-Revision-Date: 2010-08-23 09:54+0900\n"
 "Last-Translator: toemon <info@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -58,7 +58,7 @@
 #: xpressme_class.php:470
 #: xpressme_class.php:488
-#: xpressme_class.php:647
-#: xpressme_class.php:658
-#: xpressme_class.php:682
+#: xpressme_class.php:675
+#: xpressme_class.php:686
+#: xpressme_class.php:710
 msgid "YES"
 msgstr "はい"
@@ -71,7 +71,7 @@
 #: xpressme_class.php:471
 #: xpressme_class.php:489
-#: xpressme_class.php:648
-#: xpressme_class.php:659
-#: xpressme_class.php:683
+#: xpressme_class.php:676
+#: xpressme_class.php:687
+#: xpressme_class.php:711
 msgid "NO"
 msgstr "いいえ"
@@ -168,5 +168,5 @@
 
 #: xpressme_class.php:535
-#: xpressme_class.php:594
+#: xpressme_class.php:610
 msgid "Adjustment of Navi link display position"
 msgstr "リンクの表示位置設定"
@@ -201,254 +201,261 @@
 
 #: xpressme_class.php:569
-#: xpressme_class.php:618
-msgid "Left arrow image URL"
-msgstr "左矢印イメージURL"
-
-#: xpressme_class.php:576
-#: xpressme_class.php:625
-msgid "Right arrow image URL"
-msgstr "右矢印イメージURL"
-
+#: xpressme_class.php:634
+msgid "Left arrow image src"
+msgstr "左矢印イメージSRC"
+
+#: xpressme_class.php:574
 #: xpressme_class.php:589
+#: xpressme_class.php:639
+#: xpressme_class.php:652
+msgid "Not Found"
+msgstr "見つかりません"
+
+#: xpressme_class.php:584
+#: xpressme_class.php:647
+msgid "Right arrow image src"
+msgstr "右矢印イメージSRC"
+
+#: xpressme_class.php:605
 msgid "Posts List Page Navi Setting"
 msgstr "ポストリストページナビの設定"
 
-#: xpressme_class.php:597
+#: xpressme_class.php:613
 msgid "'Old Page Link' is displayed in the left, and 'Newer Page Link' is displayed in the right"
 msgstr "古いページへのリンクを左に、より新しいページへのリンクを右に表示"
 
-#: xpressme_class.php:598
+#: xpressme_class.php:614
 msgid "'Newer Page Link' is displayed in the left, and 'Old Page Link' is displayed in the right"
 msgstr "より新しいページへのリンクを左に、古いページへのリンクを右に表示"
 
-#: xpressme_class.php:604
+#: xpressme_class.php:620
 msgid "Display Navi Title of Old Page Link"
 msgstr "古いページへのナビタイトルを設定"
 
-#: xpressme_class.php:611
+#: xpressme_class.php:627
 msgid "Display Navi Title of Newer Page Link"
 msgstr "より新しいページへのナビタイトルを設定"
 
-#: xpressme_class.php:638
+#: xpressme_class.php:666
 msgid "Dashboard feed Display Setting"
 msgstr "ダッシュボード　フィード表示設定"
 
-#: xpressme_class.php:644
+#: xpressme_class.php:672
 msgid "Display XPressMe Integration Kit Blog"
 msgstr "XPressME Integration Kit ブログを表示する。"
 
-#: xpressme_class.php:655
+#: xpressme_class.php:683
 msgid "Display XPressMe Integration Kit Forum"
 msgstr "XPressME Integration Kit フォーラムを表示する。"
 
-#: xpressme_class.php:673
+#: xpressme_class.php:701
 msgid "Role Setting at Login"
 msgstr "ログイン時の権限設定"
 
-#: xpressme_class.php:679
+#: xpressme_class.php:707
 msgid "XOOPS administrators role is set as all blog administrators."
 msgstr "XOOPSの管理者をすべてのブログの管理者に設定します。"
 
-#: xpressme_class.php:688
+#: xpressme_class.php:716
 msgid "XOOPS Groupe"
 msgstr "XOOPSグループ名"
 
-#: xpressme_class.php:688
+#: xpressme_class.php:716
 msgid "WordPress Role"
 msgstr "WordPressでの権限"
 
-#: xpressme_class.php:688
+#: xpressme_class.php:716
 msgid "Role is set at each login"
 msgstr "ログイン時、常に権限を更新する"
 
-#: xpressme_class.php:693
+#: xpressme_class.php:721
 msgid "module cannot be read"
 msgstr "モジュールアクセス権限なし"
 
-#: xpressme_class.php:734
-#: xpressme_class.php:738
-#: xpressme_class.php:741
+#: xpressme_class.php:762
+#: xpressme_class.php:766
+#: xpressme_class.php:769
 msgid "Default Role of WordPress"
 msgstr "WordPressのデフォルト権限"
 
-#: xpressme_class.php:735
-#: xpressme_class.php:739
-#: xpressme_class.php:742
+#: xpressme_class.php:763
+#: xpressme_class.php:767
+#: xpressme_class.php:770
 msgid "Group User Doesn't Register"
 msgstr "ユーザ登録しない"
 
-#: xpressme_class.php:755
+#: xpressme_class.php:783
 msgid "Only the Admin can set Group Role Setting"
 msgstr "管理者だけがグループ権限を設定できます。"
 
-#: xpressme_class.php:777
+#: xpressme_class.php:805
 msgid "WordPress MultiBlog cannot integrate the comments."
 msgstr "WordPress マルチブログではコメント統合できません。"
 
-#: xpressme_class.php:779
+#: xpressme_class.php:807
 msgid "Do Not Comment Integration."
 msgstr "コメント統合しません。"
 
-#: xpressme_class.php:814
+#: xpressme_class.php:842
 msgid "Create New Forum"
 msgstr "新規フォーラムを作成"
 
-#: xpressme_class.php:826
+#: xpressme_class.php:854
 msgid "Comment integration with D3Forum"
 msgstr "D3Forumとのコメント統合"
 
-#: xpressme_class.php:828
+#: xpressme_class.php:856
 msgid "Select the forum of D3Forum that does the comment integration from the following lists."
 msgstr "以下のリストからコメント統合をするD3Forumのフォーラムを選択してください。"
 
-#: xpressme_class.php:833
+#: xpressme_class.php:861
 msgid "Select the Type of display of D3Forum comment."
 msgstr "D3Forumの表示タイプを選択"
 
-#: xpressme_class.php:835
-#: xpressme_class.php:838
+#: xpressme_class.php:863
+#: xpressme_class.php:866
 msgid "Flat"
 msgstr "フラット"
 
-#: xpressme_class.php:836
-#: xpressme_class.php:839
+#: xpressme_class.php:864
+#: xpressme_class.php:867
 msgid "Threaded"
 msgstr "スレッド"
 
-#: xpressme_class.php:842
+#: xpressme_class.php:870
 msgid "Select the order of display of D3Forum comment."
 msgstr "D3Forumコメントの表示順を選択"
 
-#: xpressme_class.php:844
-#: xpressme_class.php:847
+#: xpressme_class.php:872
+#: xpressme_class.php:875
 msgid "DESC"
 msgstr "降順"
 
-#: xpressme_class.php:845
-#: xpressme_class.php:848
+#: xpressme_class.php:873
+#: xpressme_class.php:876
 msgid "ASC"
 msgstr "昇順"
 
-#: xpressme_class.php:851
+#: xpressme_class.php:879
 msgid "Number of displays of D3Forum comments."
 msgstr "D3Forumのコメント表示数"
 
-#: xpressme_class.php:854
+#: xpressme_class.php:882
 msgid "The import and the export between Wordpress Comments and the D3Forum Posts can be done. "
 msgstr "WordPressコメントとD3Forumポスト間の一括転送（エクスポート・インポート）"
 
-#: xpressme_class.php:855
+#: xpressme_class.php:883
 msgid "Export to D3Forum"
 msgstr "D3Forumへ一括エクスポート"
 
-#: xpressme_class.php:856
+#: xpressme_class.php:884
 msgid "Import from D3Forum"
 msgstr "D3Forumから一括インポート"
 
-#: xpressme_class.php:869
+#: xpressme_class.php:897
 msgid "Contents Excerpt Setting"
 msgstr "記事抜粋の設定"
 
-#: xpressme_class.php:874
+#: xpressme_class.php:902
 msgid "Is the excerpt display done with the archive of contents?"
 msgstr "記事のアーカイブで抜粋表示を行いますか？"
 
-#: xpressme_class.php:881
+#: xpressme_class.php:909
 msgid "When ASCII character more than the set ratio is included, it is judged ASCII contents. "
 msgstr "ASCII文字が含まれる比率が設定された値より大きい場合、ASCII文字コンテンツと判断します。"
 
-#: xpressme_class.php:888
+#: xpressme_class.php:916
 msgid "Excerpt length of word for ASCII contents"
 msgstr "ASCIIコンテンツの抜粋単語数"
 
-#: xpressme_class.php:895
+#: xpressme_class.php:923
 msgid "Excerpt length of character for multibyte contents"
 msgstr "マルチバイトコンテンツの抜粋文字数"
 
-#: xpressme_class.php:902
+#: xpressme_class.php:930
 msgid "This text is displayed in the link that reads contents not excerpted.(Is not displayed for the blank.)"
 msgstr "抜粋されていないコンテンツを読むためのリンクに表示されるテキスト(空白の場合リンクを表示しません)"
 
-#: xpressme_class.php:909
+#: xpressme_class.php:937
 msgid "This text is displayed in the link that more tag (&lt;!--more--&gt;). "
 msgstr "more タグ (&lt;!--more--&gt;)のリンクに表示されるテキスト"
 
-#: xpressme_class.php:921
+#: xpressme_class.php:949
 msgid "Display Mode Setting"
 msgstr "表示モード設定"
 
-#: xpressme_class.php:924
+#: xpressme_class.php:952
 msgid "Select the XPressME Display Mode."
 msgstr "XPressMEの表示モードの選択"
 
-#: xpressme_class.php:929
+#: xpressme_class.php:957
 msgid "Xoops Mode"
 msgstr "XOOPSモード"
 
-#: xpressme_class.php:933
+#: xpressme_class.php:961
 msgid "WordPress Mode"
 msgstr "WordPressモード"
 
-#: xpressme_class.php:937
+#: xpressme_class.php:965
 msgid "User select"
 msgstr "ユーザによる選択"
 
-#: xpressme_class.php:942
+#: xpressme_class.php:970
 msgid "Select the theme used in the XOOPS Mode."
 msgstr "XOOPSモードで使用するテーマを選択"
 
-#: xpressme_class.php:947
+#: xpressme_class.php:975
 msgid "Use WordPress Selected Themes"
 msgstr "WordPressで選択したテーマを使う"
 
-#: xpressme_class.php:965
+#: xpressme_class.php:993
 msgid "Header Meta Option"
 msgstr "ヘッダメタ　オプション"
 
-#: xpressme_class.php:970
+#: xpressme_class.php:998
 msgid "Select the Header keyword."
 msgstr "ヘッダで使用するキーワードの選択"
 
-#: xpressme_class.php:975
+#: xpressme_class.php:1003
 msgid "Xoops KeyWord"
 msgstr "XOOPSのキーワード"
 
-#: xpressme_class.php:978
+#: xpressme_class.php:1006
 msgid "WordPress KeyWord"
 msgstr "WordPressのキーワード"
 
-#: xpressme_class.php:981
+#: xpressme_class.php:1009
 msgid "WordPress & Xoops KeyWord"
 msgstr "WordPressｊとXOOPSのキーワード"
 
-#: xpressme_class.php:987
+#: xpressme_class.php:1015
 msgid "Select the Header Description."
 msgstr "ヘッダで使用するディスクリプション（説明）の選択"
 
-#: xpressme_class.php:992
+#: xpressme_class.php:1020
 msgid "Xoops Description"
 msgstr "XOOPSのディスクリプション"
 
-#: xpressme_class.php:995
+#: xpressme_class.php:1023
 msgid "WordPress Description"
 msgstr "WordPressのディスクリプション"
 
-#: xpressme_class.php:998
+#: xpressme_class.php:1026
 msgid "WordPress & Xoops Description"
 msgstr "WordPressとXOOPSのディスクリプション"
 
-#: xpressme_class.php:1004
+#: xpressme_class.php:1032
 msgid "Select the Header Robots Index."
 msgstr "ヘッダで使用するロボットインデックスの選択"
 
-#: xpressme_class.php:1009
+#: xpressme_class.php:1037
 msgid "Xoops Robots Index"
 msgstr "XOOPSのロボットインデックス"
 
-#: xpressme_class.php:1012
+#: xpressme_class.php:1040
 msgid "WordPress Robots Index"
 msgstr "WordPressのロボットインデックス"
 
-#: xpressme_class.php:1058
+#: xpressme_class.php:1086
 #, php-format
 msgid "Unable to create directory %s. Is its parent directory writable by the server?"