Index: trunk/extras/my_themes/ja_EUC.po
===================================================================
--- trunk/extras/my_themes/ja_EUC.po	(revision 619)
+++ trunk/extras/my_themes/ja_EUC.po	(revision 641)
@@ -9,5 +9,5 @@
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2010-06-12 12:47+0900\n"
-"PO-Revision-Date: 2010-06-12 12:47+0900\n"
+"PO-Revision-Date: 2010-08-18 14:22+0900\n"
 "Last-Translator: toemon <info@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -89,5 +89,5 @@
 
 #: comments-popup.php:64
-#: comments.php:92
+#: comments.php:91
 msgid "Name"
 msgstr "¤ªÌ¾Á°"
@@ -179,165 +179,224 @@
 msgstr "%s ¤Ë¥³¥á¥ó¥È¤¹¤ë"
 
-#: comments.php:80
+#: comments.php:79
 #, php-format
 msgid "You must be <a href=\"%s\">logged in</a> to post a comment."
 msgstr "¥³¥á¥ó¥È¤òÅê¹Æ¤¹¤ë¤Ë¤Ï<a href=\"%s\">¥í¥°¥¤¥ó</a>¤·¤Æ¤¯¤À¤µ¤¤¡£"
 
-#: comments.php:86
-#: comments.php:88
+#: comments.php:85
+#: comments.php:87
 #, php-format
 msgid "Logged in as <a href=\"%1$s\">%2$s</a>."
 msgstr "<a href=\"%1$s\">%2$s</a> ¤È¤·¤Æ¥í¥°¥¤¥óÃæ¡£"
 
-#: comments.php:86
-#: comments.php:88
+#: comments.php:85
+#: comments.php:87
 msgid "Log out of this account"
 msgstr "¤³¤Î¥¢¥«¥¦¥ó¥È¤«¤é¥í¥°¥¢¥¦¥È"
 
-#: comments.php:86
-#: comments.php:88
+#: comments.php:85
+#: comments.php:87
 msgid "Log out &raquo;"
 msgstr "¥í¥°¥¢¥¦¥È &raquo;"
 
-#: comments.php:92
-#: comments.php:95
+#: comments.php:91
+#: comments.php:94
 msgid "(required)"
 msgstr " (É¬¿Ü)"
 
-#: comments.php:95
+#: comments.php:94
 msgid "Mail (will not be published)"
 msgstr "¥á¡¼¥ë¥¢¥É¥ì¥¹ (¸ø³«¤µ¤ì¤Þ¤»¤ó)"
 
-#: comments.php:98
+#: comments.php:97
 msgid "Website"
 msgstr "¥¦¥§¥Ö¥µ¥¤¥È"
 
-#: comments.php:103
+#: comments.php:102
 #, php-format
 msgid "<strong>XHTML:</strong> You can use these tags: <code>%s</code>"
 msgstr "<strong>XHTML:</strong> ¼¡¤Î¥¿¥°¤ò»ÈÍÑ¤Ç¤­¤Þ¤¹: <code>%s</code>"
 
-#: comments.php:107
+#: comments.php:106
 msgid "Submit Comment"
 msgstr "¥³¥á¥ó¥ÈÁ÷¿®"
 
-#: footer.php:5
+#: footer.php:10
 #, php-format
 msgid "%1$s and %2$s."
 msgstr "%1$s ¤È %2$s"
 
-#: footer.php:5
+#: footer.php:10
 msgid "Entries (RSS)"
 msgstr "Åê¹Æ (RSS)"
 
-#: footer.php:5
+#: footer.php:10
 msgid "Comments (RSS)"
 msgstr "¥³¥á¥ó¥È (RSS)"
 
-#: footer.php:7
+#: footer.php:12
 #, php-format
 msgid "%.3f sec."
 msgstr "%.3f ÉÃ"
 
-#: functions.php:15
+#: functions.php:25
 msgid "Primary Navigation"
 msgstr "¥á¥¤¥ó¥Ê¥Ó¥²¡¼¥¸¥ç¥ó"
 
-#: functions.php:157
-msgid "Customize Header"
-msgstr "¥Ø¥Ã¥À¡¼¤Î¥«¥¹¥¿¥Þ¥¤¥º"
-
-#: functions.php:157
-#: functions.php:371
+#: functions.php:196
+msgid "Header & Footer"
+msgstr "¥Ø¥Ã¥À¡¼&¥Õ¥Ã¥¿¡¼"
+
+#: functions.php:210
+msgid "Close Color Picker"
+msgstr "¥«¥é¡¼¥Ô¥Ã¥«¡¼¤òÊÄ¤¸¤ë"
+
+#: functions.php:415
+msgid "Header Options saved."
+msgstr "¥Ø¥Ã¥À¡¼ÀßÄê¤òÊÝÂ¸¤·¤Þ¤·¤¿¡£"
+
+#: functions.php:416
+msgid "Footer Options saved."
+msgstr "¥Õ¥Ã¥¿¡¼ÀßÄê¤òÊÝÂ¸¤·¤Þ¤·¤¿¡£"
+
+#: functions.php:420
 msgid "Header Image and Color"
 msgstr "¥Ø¥Ã¥À¡¼¤ÎÇØ·Ê¤ÈÊ¸»ú¤Î¿§"
 
-#: functions.php:170
-msgid "Close Color Picker"
-msgstr "¥«¥é¡¼¥Ô¥Ã¥«¡¼¤òÊÄ¤¸¤ë"
-
-#: functions.php:367
-msgid "Options saved."
-msgstr "ÀßÄê¤òÊÝÂ¸¤·¤Þ¤·¤¿¡£"
-
-#: functions.php:384
-#: functions.php:391
+#: functions.php:433
+#: functions.php:440
 msgid "Save"
 msgstr "ÊÝÂ¸"
 
-#: functions.php:385
+#: functions.php:434
 msgid "Font Color:"
 msgstr "¥Õ¥©¥ó¥È¤Î¿§:"
 
-#: functions.php:385
+#: functions.php:434
 #, php-format
 msgid "Any CSS color (%s or %s or %s)"
 msgstr "CSS ¿§»ØÄê (%s ¡¢%s ¤â¤·¤¯¤Ï %s)"
 
-#: functions.php:386
+#: functions.php:435
 msgid "Upper Color:"
 msgstr "¥°¥é¥Ç¡¼¥·¥ç¥ó¾åÂ¦¤Î¿§:"
 
-#: functions.php:386
-#: functions.php:387
+#: functions.php:435
+#: functions.php:436
 #, php-format
 msgid "HEX only (%s or %s)"
 msgstr "16 ¿Ê¿ô¤Î¤ß (%s ¤â¤·¤¯¤Ï %s)"
 
-#: functions.php:387
+#: functions.php:436
 msgid "Lower Color:"
 msgstr "¥°¥é¥Ç¡¼¥·¥ç¥ó²¼Â¦¤Î¿§:"
 
-#: functions.php:389
+#: functions.php:438
 msgid "Toggle Text"
 msgstr "¥Æ¥­¥¹¥ÈÉ½¼¨¤ÎÀÚÂØ¤¨"
 
-#: functions.php:390
+#: functions.php:439
 msgid "Use Defaults"
 msgstr "¥Ç¥Õ¥©¥ë¥ÈÀßÄê¤ËÌá¤¹"
 
-#: functions.php:399
+#: functions.php:448
 msgid "Font Color"
 msgstr "¥Õ¥©¥ó¥È¤Î¿§"
 
-#: functions.php:400
+#: functions.php:449
 msgid "Upper Color"
 msgstr "¥°¥é¥Ç¡¼¥·¥ç¥ó¾åÂ¦¤Î¿§"
 
-#: functions.php:401
+#: functions.php:450
 msgid "Lower Color"
 msgstr "¥°¥é¥Ç¡¼¥·¥ç¥ó²¼Â¦¤Î¿§"
 
-#: functions.php:402
+#: functions.php:451
 msgid "Revert"
 msgstr "¼è¤ê¾Ã¤·"
 
-#: functions.php:403
+#: functions.php:452
 msgid "Advanced"
 msgstr "¾ÜºÙ"
 
-#: functions.php:410
+#: functions.php:459
 msgid "Update Header &raquo;"
 msgstr "¥Ø¥Ã¥À¡¼¤ò¹¹¿· &raquo;"
 
-#: functions.php:416
+#: functions.php:465
 msgid "Font Color (CSS):"
 msgstr "¥Õ¥©¥ó¥È¤Î¿§ (CSS):"
 
-#: functions.php:417
+#: functions.php:466
 msgid "Upper Color (HEX):"
 msgstr "¥°¥é¥Ç¡¼¥·¥ç¥ó¾åÂ¦¤Î¿§ (16 ¿Ê¿ô):"
 
-#: functions.php:418
+#: functions.php:467
 msgid "Lower Color (HEX):"
 msgstr "¥°¥é¥Ç¡¼¥·¥ç¥ó²¼Â¦¤Î¿§ (16 ¿Ê¿ô):"
 
-#: functions.php:419
+#: functions.php:468
 msgid "Select Default Colors"
 msgstr "¥Ç¥Õ¥©¥ë¥ÈÀßÄê¤ËÌá¤¹"
 
-#: functions.php:420
+#: functions.php:469
 msgid "Toggle Text Display"
 msgstr "¥Æ¥­¥¹¥ÈÉ½¼¨¤ÎÀÚÂØ¤¨"
+
+#: functions.php:475
+msgid "Footer"
+msgstr "¥Õ¥Ã¥¿¡¼"
+
+#: functions.php:479
+msgid "Set number of the sidebar to display in the footer."
+msgstr "¥Õ¥Ã¥¿¡¼¤ËÉ½¼¨¤¹¤ë¥µ¥¤¥É¥Ð¡¼¤Î¿ô¤òÀßÄê"
+
+#: functions.php:485
+msgid "none"
+msgstr "¤Ê¤·"
+
+#: functions.php:494
+msgid "Update Footer &raquo;"
+msgstr "¥Õ¥Ã¥¿¡¼¤ò¹¹¿· &raquo;"
+
+#: functions.php:510
+msgid "First Footer Widget Area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£±"
+
+#: functions.php:511
+msgid "The first footer widget area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£±"
+
+#: functions.php:514
+msgid "Second Footer Widget Area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£²"
+
+#: functions.php:515
+msgid "The second footer widget area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£²"
+
+#: functions.php:518
+msgid "Third Footer Widget Area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£³"
+
+#: functions.php:519
+msgid "The third footer widget area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£³"
+
+#: functions.php:522
+msgid "Fourth Footer Widget Area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£´"
+
+#: functions.php:523
+msgid "The fourth footer widget area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£´"
+
+#: functions.php:526
+msgid "Fifth Footer Widget Area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£µ"
+
+#: functions.php:527
+msgid "The fifth footer widget area"
+msgstr "¥Õ¥Ã¥¿¡¼¥¦¥£¥¸¥§¥Ã¥È¥¨¥ê¥¢£µ"
 
 #: header.php:9
@@ -368,5 +427,4 @@
 
 #: image.php:13
-#: single.php:32
 msgid "Read the rest of this entry &raquo;"
 msgstr "¤³¤ÎÅê¹Æ¤ÎÂ³¤­¤òÆÉ¤à &raquo;"
@@ -416,5 +474,4 @@
 
 #: image.php:58
-#: single.php:94
 msgid "Sorry, no posts matched your criteria."
 msgstr "³ºÅö¤¹¤ëÅê¹Æ¤Ï¸«¤Ä¤«¤ê¤Þ¤»¤ó¤Ç¤·¤¿¡£"
@@ -424,6 +481,4 @@
 #: multi_blog_index.php:33
 #: multi_blog_index.php:35
-#: single.php:24
-#: single.php:26
 #, php-format
 msgid "Permanent Link to %s"
@@ -432,5 +487,4 @@
 #: index.php:44
 #: multi_blog_index.php:48
-#: single.php:42
 #, php-format
 msgid "Views :%d"
@@ -439,5 +493,4 @@
 #: index.php:47
 #: multi_blog_index.php:51
-#: single.php:45
 #, php-format
 msgid "Posted in %s"
@@ -446,5 +499,4 @@
 #: index.php:49
 #: multi_blog_index.php:53
-#: single.php:47
 msgid "Edit"
 msgstr "ÊÔ½¸"
@@ -452,5 +504,4 @@
 #: index.php:50
 #: multi_blog_index.php:54
-#: single.php:48
 msgid "No Comments &#187;"
 msgstr "¥³¥á¥ó¥È¤Ï¤Þ¤À¤¢¤ê¤Þ¤»¤ó &#187;"
@@ -458,5 +509,4 @@
 #: index.php:50
 #: multi_blog_index.php:54
-#: single.php:48
 msgid "1 Comment &#187;"
 msgstr "1 ·ï¤Î¥³¥á¥ó¥È &#187;"
@@ -464,5 +514,4 @@
 #: index.php:50
 #: multi_blog_index.php:54
-#: single.php:48
 msgid "% Comments &#187;"
 msgstr "% ·ï¤Î¥³¥á¥ó¥È &#187;"
@@ -470,5 +519,4 @@
 #: index.php:50
 #: multi_blog_index.php:54
-#: single.php:48
 msgid "Comments Closed"
 msgstr "¥³¥á¥ó¥È¤Ï¼õ¤±ÉÕ¤±¤Æ¤¤¤Þ¤»¤ó¡£"
@@ -747,4 +795,6 @@
 msgstr "¥Æ¡¼¥ÞÁªÂò"
 
+#~ msgid "Customize Header"
+#~ msgstr "¥Ø¥Ã¥À¡¼¤Î¥«¥¹¥¿¥Þ¥¤¥º"
 #~ msgid "%d queries. %s seconds."
 #~ msgstr "%d ¸Ä¤Î¥¯¥¨¥ê¤È %s ÉÃ¤òÍ×¤·¤Þ¤·¤¿¡£"