Index: trunk/extras/my_themes/languages/ja.po
===================================================================
--- trunk/extras/my_themes/languages/ja.po	(revision 654)
+++ trunk/extras/my_themes/languages/ja.po	(revision 681)
@@ -8,6 +8,6 @@
 "Project-Id-Version: XPress_Default_themes\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-08-18 14:08+0900\n"
-"PO-Revision-Date: 2010-08-18 14:16+0900\n"
+"POT-Creation-Date: 2011-02-21 09:49+0900\n"
+"PO-Revision-Date: 2011-02-21 09:50+0900\n"
 "Last-Translator: toemon <info@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -19,5 +19,5 @@
 "X-Poedit-SourceCharset: utf-8\n"
 "X-Poedit-KeywordsList: __;_e;_c\n"
-"X-Poedit-Basepath: C:\\XPressME_Project\\XPressME_SVN_Trunk\\xpressme_integration_kit\\wp-content\\themes\\xpress_default\n"
+"X-Poedit-Basepath: D:\\XPressME_Project\\XPressME_SVN_Trunk\\xpressme_integration_kit\\wp-content\\themes\\xpress_default\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 "X-Poedit-SearchPath-0: .\n"
@@ -348,53 +348,53 @@
 msgstr "フッター"
 
-#: functions.php:479
+#: functions.php:481
 msgid "Set number of the sidebar to display in the footer."
 msgstr "フッターに表示するサイドバーの数を設定"
 
-#: functions.php:485
+#: functions.php:486
 msgid "none"
 msgstr "なし"
 
-#: functions.php:494
+#: functions.php:496
 msgid "Update Footer &raquo;"
 msgstr "フッターを更新 &raquo;"
 
-#: functions.php:510
+#: functions.php:512
 msgid "First Footer Widget Area"
 msgstr "フッターウィジェットエリア１"
 
-#: functions.php:511
+#: functions.php:513
 msgid "The first footer widget area"
 msgstr "フッターウィジェットエリア１"
 
-#: functions.php:514
+#: functions.php:516
 msgid "Second Footer Widget Area"
 msgstr "フッターウィジェットエリア２"
 
-#: functions.php:515
+#: functions.php:517
 msgid "The second footer widget area"
 msgstr "フッターウィジェットエリア２"
 
-#: functions.php:518
+#: functions.php:520
 msgid "Third Footer Widget Area"
 msgstr "フッターウィジェットエリア３"
 
-#: functions.php:519
+#: functions.php:521
 msgid "The third footer widget area"
 msgstr "フッターウィジェットエリア３"
 
-#: functions.php:522
+#: functions.php:524
 msgid "Fourth Footer Widget Area"
 msgstr "フッターウィジェットエリア４"
 
-#: functions.php:523
+#: functions.php:525
 msgid "The fourth footer widget area"
 msgstr "フッターウィジェットエリア４"
 
-#: functions.php:526
+#: functions.php:528
 msgid "Fifth Footer Widget Area"
 msgstr "フッターウィジェットエリア５"
 
-#: functions.php:527
+#: functions.php:529
 msgid "The fifth footer widget area"
 msgstr "フッターウィジェットエリア５"
@@ -414,13 +414,13 @@
 msgstr "%s Atom フィード"
 
-#: header.php:56
+#: header.php:58
 msgid "Main Page"
 msgstr "メインページ"
 
-#: header.php:59
+#: header.php:61
 msgid "Blogs Home"
 msgstr "ブログのホーム"
 
-#: header.php:60
+#: header.php:62
 msgid "Post New"
 msgstr "新規投稿"
@@ -724,6 +724,6 @@
 
 #: blocks/enhanced_block_theme.php:29
-msgid "PHP code error"
-msgstr "PHPコードにエラーがあります。"
+msgid "Data is Empty"
+msgstr "データは空です"
 
 #: blocks/global_popular_posts_block_theme.php:114
@@ -795,10 +795,16 @@
 msgstr "テーマ選択"
 
+#~ msgid "PHP code error"
+#~ msgstr "PHPコードにエラーがあります。"
+
 #~ msgid "Customize Header"
 #~ msgstr "ヘッダーのカスタマイズ"
+
 #~ msgid "%d queries. %s seconds."
 #~ msgstr "%d 個のクエリと %s 秒を要しました。"
+
 #~ msgid "views: %d"
 #~ msgstr "閲覧 :%d回"
+
 #~ msgid "more"
 #~ msgstr "続きを読む"
@@ -807,9 +813,11 @@
 #~ msgid "F jS, Y"
 #~ msgstr "Y 年 n 月 j 日 l"
+
 #~ msgid "Calendar"
 #~ msgstr "カレンダー"
+
 #~ msgid "%1$s %2$s|Used as a calendar caption"
 #~ msgstr "%2$s 年 %1$s|カレンダーのキャプションに使われます"
+
 #~ msgid "View posts for %1$s %2$s"
 #~ msgstr "%2$s 年 %1$s の投稿を表示"
-